<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Musical Variants
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Subject-specific-Tools-and-Services_7439956.html">Subject-specific Tools and Services</a></span>
              </li>
              <li>
                <span><a href="Musicological-Tools_7439987.html">Musicological Tools</a></span>
              </li>
              <li>
                <span><a href="7439804.html">MEI Score Editor (Musical Note Editor)</a></span>
              </li>
              <li>
                <span><a href="Using-the-MEI-Score-Editor_7439898.html">Using the MEI Score Editor</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Musical Variants</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Philipp Vanscheidt</span> on May 30, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              The MEI Score Editor also provides a digital representation of musical variants. This is necessary because of the limits of the presentation of variants in printed media. While the MEI Score Editor offers the opportunity to switch between different variants, the encoding of variants should be done with the “Apparatus” and “Reading” elements.
            </p>
            <p>
              <strong>Apparatus and Reading</strong>
            </p>
            <p>
              In the figure on the left<span style="color: rgb(0,0,0);"> </span> the use of the <em>app</em> (Apparatus) and the <em>rdg</em> (Reading) elements are shown in the MEI source code and on the right the corresponding <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>, where you can see how to insert the “Apparatus” and “Reading” elements into the hierarchical structure.
            </p>
            <p>
              <img class="confluence-embedded-image confluence-content-image-border" height="393" width="350" src="attachments/7439904/8192060.png" data-image-src="attachments/7439904/8192060.png" title="meise-f19_variants_source code.png"/>     <img class="confluence-embedded-image" src="attachments/7439904/8192061.png" data-image-src="attachments/7439904/8192061.png" title="meise-f20_variants_outlineview.png"/>
            </p>
            <h5 id="MusicalVariants-">
              <strong><br/></strong>
            </h5>
            <p>
              <strong>Declare Sources</strong>
            </p>
            <p>
              To use the possibilities for presenting different variants, you will have to declare sources for the readings. The definition which “Reading” belongs to which source is already visible in the source code of <em><span style="color: rgb(0,0,0);">figure A</span></em> in the attribute of each <em>rdg</em> element. Before you will be able to define the sources, you must declare them in the following way: Click the "Manage Sources" button on the toolbar of the MEISE Editor, which was already mentioned in the “<a href="Toolbar-of-the-MEI-Score-Editor-Perspective_7439819.html">Toolbar</a>” paragraph<span style="color: rgb(255,0,0);"> </span>. A new dialog box will open, <span style="color: rgb(255,0,0);"><span style="color: rgb(0,0,0);">as shown in the figure below</span></span>. Here you can create sources by clicking the "Create New" button. Now you can give your source a name or modify the “Label” and “N(otes)” attributes. After clicking the „Close“ button, your sources will
              be saved.
            </p>
            <p>
              <img class="confluence-embedded-image" width="400" src="attachments/7439904/8192062.png" data-image-src="attachments/7439904/8192062.png" title="meise-f21_manageSources.png"/>
            </p>
            <p>
              <strong>Define Belongings</strong>
            </p>
            <p>
              The next step is to define which source belongs to which reading. For this purpose, click on a “Reading” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a> and then open the value of its property “Rdg Sources” in the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>. As soon as you click the properties editor in the value column, a new dialog will open. Select a source from the available sources you have declared and click the „Add Source“ button. You can also add more than one source to a "Reading" element and you can also use the “Remove” or “Remove All” buttons. After clicking the „Close“ button, your modifications will be saved. For an example, see the figure below<span style="color: rgb(255,0,0);"> </span>: here, every “Reading” element has one corresponding source.
            </p>
            <p>
              <img class="confluence-embedded-image" width="500" src="attachments/7439904/8192063.png" data-image-src="attachments/7439904/8192063.png" title="meise-f22_selectsource.png"/>
            </p>
            <p>
              <strong>Show different variants</strong>
            </p>
            <p>
              After you have added the sources to the readings, you can switch between the different variants. Click on the “Apparatus” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a> and select a source you want to see in the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>. In <span style="color: rgb(0,0,0);">the last figure</span>, the “SourceForVariant_2” is selected and displayed in the Score View. The selected source is also highlighted in green in the Outline View.
            </p>
            <p>
              <img class="confluence-embedded-image" width="750" src="attachments/7439904/8192064.png" data-image-src="attachments/7439904/8192064.png" title="meise-f23_app_source2selected.png"/>
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
